Xapian::FieldProcessor Class Referenceabstract

Base class for field processors. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::FieldProcessor:
[legend]

## Public Member Functions

| FieldProcessor ()
| Default constructor.
virtual | ~FieldProcessor ()
| Destructor.
virtual Xapian::Query | operator() (const std::string &str)=0
| Convert a field-prefixed string to a Query object.
FieldProcessor * | release ()
| Start reference counting this object.
const FieldProcessor * | release () const
| Start reference counting this object.

## Detailed Description

Base class for field processors.

## Member Function Documentation

## operator()()

virtual Xapian::Query Xapian::FieldProcessor::operator() | ( | const std::string & | str | ) |

pure virtual

Convert a field-prefixed string to a Query object.

Parameters

  str | The string to convert.

Returns
  Query object corresponding to str.

## release() [1/2]

FieldProcessor * Xapian::FieldProcessor::release | ( |  | ) |

inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated FieldProcessor object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## release() [2/2]

const FieldProcessor * Xapian::FieldProcessor::release | ( |  | ) | const

inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated FieldProcessor object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/queryparser.h